Search

Search variations of a Content Fragment

This operation returns Content Fragment variations that match the search criteria for the given Content Fragment. Results can be paginated.

SecuritybearerAuth
Request
path Parameters
fragmentId
required
string <uuid> (UUID)

Content Fragment unique identifier

Example: 49af775d-0e7a-46c3-913d-00f762528373
query Parameters
cursor
string (Cursor) non-empty

When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items.

limit
integer <int32> (Limit) [ 1 .. 50 ]

For a paginated request, this parameter defines the maximum number of items to retrieve.

required
object (ContentFragmentVariationSearchPattern)

The query parameter provides filtering criteria that should be applied when performing a search. The results are ordered by modifiedOrCreated date. The value passed should be valid JSON that has been URL encoded.

Example: query="{"filter":{"status":["NOT_PUBLISHED","PUBLISHED"]}}"
Responses
200

Variations matching the search criteria.

400

Bad Request. The Problem Details object will provide more information about the exact cause.

403

Forbidden. Indicates that the server understood the request but refuses to fulfil it.

404

Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

get/cf/fragments/{fragmentId}/variations/search
Request samples
Response samples
application/json
{
  • "items": [
    ],
  • "cursor": "string"
}

Search API for Content Fragments based on various Search Criteria.

This is a filtering API to find Content Fragments that match specific criteria. Results can be paginated.

SecuritybearerAuth
Request
query Parameters
cursor
string (Cursor) non-empty

When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items.

limit
integer <int32> (Limit) [ 1 .. 50 ]

For a paginated request, this parameter defines the maximum number of items to retrieve.

includeMetadata
boolean
Default: false

When true, includes all metadata properties with the schema identifier. The schema identifier is resolved from the fragment itself or its parent folder hierarchy.

required
object (ContentFragmentSearchPattern)

The query parameter provides filtering and sorting criteria that should be applied when performing a search. The value passed should be valid JSON that has been URL encoded.

Example: query="{ "filter": { "created":{ "by": ["admin"], "after": "2019-10-12T07:20:50.52Z" }, "path": "/content/dam", "modelIds": ["L2NvbmYvd2tuZC1zaGFyZWQvc2V0dGluZ3MvZGFtL2NmbS9tb2RlbHMvYXV0aG9y"] } }"
projection
string (Projection)
Default: "full"

If this optional parameter is provided and its value is 'summary', the fragments in the response will contain only the required properties.

Enum: "minimal" "summary" "full"
Responses
200

List of detailed Content Fragments matching Search criteria.

400

Bad Request. The Problem Details object will provide more information about the exact cause.

403

Forbidden. Indicates that the server understood the request but refuses to fulfil it.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

get/cf/fragments/search
Request samples
Response samples
application/json
{
  • "items": [
    ],
  • "cursor": "string"
}

Search API for Content Fragment Models based on various Search Criteria.

This is a filtering API to find Content Fragment Models that match specific criteria. Results can be paginated.

SecuritybearerAuth
Request
query Parameters
cursor
string (Cursor) non-empty

When the number of results for a request exceeds the allowed limit, the response will include a cursor. That value can then be sent via this parameter on a subsequent request to retrieve the next set of items.

limit
integer <int32> (Limit) [ 1 .. 50 ]

For a paginated request, this parameter defines the maximum number of items to retrieve.

required
object (ContentFragmentModelSearchPattern)

The query parameter provides filtering and sorting criteria that should be applied when performing a search. The value passed should be valid JSON that has been URL encoded.

Example: query="{ "filter": { "created":{ "by": ["admin"], "after": "2019-10-12T07:20:50.52Z" }, "configurationFolder": "/content/dam/wknd-shared/en/adventures/west-coast-cycling", "name": "West Coast Cycling" } }"
projection
string (Projection)
Default: "full"

This parameter is optional. If set to 'minimal', the response will include include only the resource identifiers of the Content Fragment Model: id, path, and name. If set to 'summary', the Content Fragment Model's fields will not be populated in the response. If set to 'full', the response will include all properties. By default, the value of this query parameter is 'full'.

Enum: "minimal" "summary" "full"
Responses
200

List of detailed Content Fragment Models matching Search Criteria.

400

Bad Request. The Problem Details object will provide more information about the exact cause.

403

Forbidden. Indicates that the server understood the request but refuses to fulfil it.

406

Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.

415

Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.

500

Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

get/cf/models/search
Request samples
Response samples
application/json
{
  • "items": [
    ]
}